Page MenuHomePhabricator

Add link to edit pages listed on Special:NewPages
Closed, ResolvedPublic

Description

In the same line of bug T26797 and bug T26563, [[Special:NewPages]] should show links for edit the pages listed, since often we find pages that should be tagged for speedy deletion, or to {{wikify}}, and so on...


Version: unspecified
Severity: enhancement

Details

Reference
bz24799
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:10 PM
bzimport set Reference to bz24799.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Aug 14 2010, 7:08 PM
DannyS712 added a subscriber: DannyS712.

If its urgent (probably isn't, given that its been a decade), the following JavaScript does the same thing. I'll try to work on this soon.

New pages edit links
$(document).ready( function () {
	if ( mw.config.get('wgCanonicalSpecialPageName') === 'Newpages' ) {
		$('.mw-newpages-history > a').before(
			function () {
				return ( '<a href=\'' + this.href.replace( /action=history/, 'action=edit' ) + '\'>edit</a> | ' );
			}
		);
	}
} );
Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 22 2019, 12:01 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald Transcript
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Aug 22 2019, 12:04 AM

Change 549198 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add edit links to Special:NewPages

https://gerrit.wikimedia.org/r/549198

Change 549198 merged by jenkins-bot:
[mediawiki/core@master] Add edit links to Special:NewPages

https://gerrit.wikimedia.org/r/549198

DannyS712 closed this task as Resolved.Nov 18 2019, 4:09 AM